import { jsx } from "react/jsx-runtime";
import { GearSixIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const GearSix = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "GearSix", ...props, children: /* @__PURE__ */ jsx(GearSixIcon, { weight: variant }) });
  }
);
GearSix.displayName = "GearSix";
Object.assign(GearSix, { isGdsIcon: true });
export {
  GearSix
};
